#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <avr/eeprom.h>


#include "param.h"

#include "uart.h"


// Eigene Header-Files ------------------------------------------------------------------------------------------------

#include "bitmap.h"
#include "clock.h"

// Eigene Header-Files ------------------------------------------------------------------------------------------------

#define F_CPU			16000000UL
#define UART_BAUD_RATE		76800 




 
 
 
 
 
 



int main(void)
{	
	

  
 //UART INIT
 uart_init(UART_BAUD(UART_BAUD_RATE, F_CPU),UART_BAUD_U2X(UART_BAUD_RATE, F_CPU));


 sei();             //Interrups Freigeben



 for (;;)

{


uart_putc(16 );  
uart_putc(0xAA);
uart_putc(0 ); 
uart_putc(0 );  
uart_putc(0 );  
uart_putc(30 );  
uart_putc(240 );
uart_putc(0 );   
LoadBitmap_P(clockbmp, 0 ,0,240, 240 );   //Bitmap Laden


 }
}	


